Summary: Small bourne shell from Berkeley
Name: ash
Version: 0.2
Release: 8
Copyright: BSD
Group: Shells
Source: sunsite.unc.edu:/pub/Linux/system/Shells/ash-linux-0.2.tar.gz
Patch: ftp.redhat.com:/pub/ash-0.2-make.patch

%description
ash is a bourne shell clone from Berkeley.  It supports all of the standard
Bourne shell commands and has the advantage of supporting them while 
remaining considerably smaller than bash. 

%changelog

* Wed Apr 16 1997 Erik Troan <ewt@redhat.com>

Fixed preinstall script to >> /etc/shells for bsh.

%prep
%setup -n ash-linux-0.2
%patch -p1

%build
make 
strip sh

%install
make install 
install -m 644 sh.1 /usr/man/man1/ash.1
ln -sf ash.1 /usr/man/man1/bsh.1
ln -sf ash /bin/bsh

%post
if [ ! -f /etc/shells ]; then
	echo "/bin/ash" > /etc/shells
	echo "/bin/bsh" >> /etc/shells
else
	if ! grep '^/bin/ash$' /etc/shells > /dev/null; then
		echo "/bin/ash" >> /etc/shells
	fi
	if ! grep '^/bin/bsh$' /etc/shells > /dev/null; then
		echo "/bin/bsh" >> /etc/shells
	fi
fi

%postun

if [ "$0" = 0 ]; then
	grep -v '^/bin/ash' < /etc/shells | grep -v '^/bin/bsh' > /etc/shells.new
	mv /etc/shells.new /etc/shells
fi

%verifyscript

for n in ash bsh; do
    echo -n "Looking for $n in /etc/shells... "
    if ! grep "^/bin/${n}\$" /etc/shells > /dev/null; then
	echo "missing"
	echo "${n} missing from /etc/shells" >&2
    else
	echo "found"
    fi
done

%files
/bin/ash
/bin/bsh
/usr/man/man1/ash.1
/usr/man/man1/bsh.1
